aboutsummaryrefslogtreecommitdiffstats
path: root/main/gvpe/gvpe.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2014-09-16 11:22:06 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2014-09-16 11:22:06 +0000
commite2b48a7966a40c57cbf3488c2a75afef9858e36c (patch)
tree5d92883b751c7d71168b9b3457339d37c136d8e4 /main/gvpe/gvpe.initd
parent43419d27a334214568486a4f6caaf19ebf245cbb (diff)
downloadaports-e2b48a7966a40c57cbf3488c2a75afef9858e36c.tar.bz2
aports-e2b48a7966a40c57cbf3488c2a75afef9858e36c.tar.xz
main/gvpe: moved from testing
Diffstat (limited to 'main/gvpe/gvpe.initd')
-rw-r--r--main/gvpe/gvpe.initd32
1 files changed, 32 insertions, 0 deletions
diff --git a/main/gvpe/gvpe.initd b/main/gvpe/gvpe.initd
new file mode 100644
index 0000000000..beaf7fea8d
--- /dev/null
+++ b/main/gvpe/gvpe.initd
@@ -0,0 +1,32 @@
+#!/sbin/runscript
+# Copyright 1999-2004 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header$
+
+opts="reconnect"
+
+GVPED_PID=/run/gvped.pid
+depend() {
+ use logger dns
+ need net
+}
+
+
+start() {
+ ebegin "Starting gvpe VPN"
+ start-stop-daemon --start --exec /usr/sbin/gvpe --pidfile "${GVPED_PID}" \
+ -- -linfo -L ${NODENAME}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping gvpe VPN"
+ start-stop-daemon --stop --exec /usr/sbin/gvpe --pidfile "${GVPED_PID}"
+ eend $?
+}
+
+reconnect() {
+ ebegin "Reconnecting gpve VPN"
+ /usr/bin/gvpectrl --kill=HUP
+ eend $?
+}